tracker-thumbnailer(1)

NAME
tracker-thumbnailer - create freedesktop.org compliant thumbnails (Deprecated)

SYNOPSIS
tracker-thumbnailer FILE MIMETYPE ICONSIZE

DESCRIPTION

IMPORTANT NOTE: This program is DEPRECATED, in favour of the new freedesktop standard to request the creation of thumbnails. If your programs or scripts are using this program, please port your code to the new specification as soon as possible. This program will not be available in future releases.

tracker-thumbnailer takes an image file as input and produces a thumbnail which is compliant to the freedesktop.org thumbnail specification. It relies on external tools like convert to do the actual transformation.

tracker-thumbnailer is called by trackerd to create thumbnails which are then used by frontends like tracker-search-tool to illustrate the search results.

OPTIONS

FILE
    Image file for which a thumbnail should be created.

MIMETYPE
    Mime type of the image/document, e.g. image/png or application/pdf. If no thumbnailer is installed for this mime type, tracker-thumbnailer will output a error message.

ICONSIZE
    Size of the generated thumbnail. Currently supported is only normal, which is 128x128 pixel.

SEE ALSO
trackerd(1), tracker-search(1), tracker-search-tool(1), convert(1).

AUTHOR
tracker-thumbnailer was written by Edward Duffy <eduffy@gmail.com>.

This manual page was written by Michael Biebl <biebl@debian.org>, for the Debian project (but may be used by others).